<template>
	<view class="content">
		<view class="box">
			<view class="item ">
				<text>姓名</text>
				<input type="text" v-model="name" value="" placeholder="请输入真实姓名" />
			</view>
			<view class="item top">
				<text>银行卡号</text>
				<input type="text" v-model="id" value="" placeholder="请输入银行卡账号" />
			</view>
			<view class="item">
				<text>所属银行</text>
				<input type="text" v-model="idName" value="" placeholder="请输入银行" />
			</view>
			<view class="item">
				<text>所属支行</text>
				<input type="text" v-model="bankname" value="" placeholder="请输入所属支行" />
			</view>
			<view class="item">
				<text>手机号</text>
				<input type="text" v-model="phone" value="" placeholder="请输入手机号" />
			</view>
		</view>
		<view class="button" @click="confirm()">确认</view>
	</view>
</template>

<script>
import { auction, pay_list } from '@/api/wallet.js';
import { orderData, getUserInfo } from '@/api/user.js';
import { mapState, mapMutations } from 'vuex';
export default {
	computed: {
		...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
	},
	data() {
		return {
			name: '',
			id: '',
			idName: '',
			phone: '',
			bankname: ''
		};
	},
	onLoad() {
		pay_list().then(({ data }) => {
			if (data.bank != '') {
				this.name = data.bank.name;
				this.id = data.bank.payment;
				this.phone = data.bank.phone;
				this.idName = data.bank.bank;
				this.bankname = data.bank.bank_name;
			}
		});
	},
	methods: {
		...mapMutations('user', ['setUserInfo', 'setOrderInfo']),
		confirm() {
			let obj = this;
			if (!obj.name) {
				return this.$api.msg('请输入提款人姓名');
			}
			if (!obj.idName) {
				return this.$api.msg('请输入所属银行');
			}
			if (!obj.id) {
				return this.$api.msg('请输入银行卡号');
			}
			if (!obj.phone) {
				return this.$api.msg('请输入手机号码');
			}
			if (!obj.bankname) {
				return this.$api.msg('请输入所属支行');
			}
			auction({
				type: 3,
				name: obj.name,
				bank: obj.idName,
				payment: obj.id,
				phone: obj.phone,
				bank_name: obj.bankname
			}).then(e => {
				obj.$api.msg('修改成功');
			});
		}
	}
};
</script>

<style lang="scss">
page,
.content {
	height: 100%;
	padding: 0;
	margin: 0;
}
.top {
	border-top: 1rpx solid #f3f3f3;
	border-bottom: 1rpx solid #f3f3f3;
}
.box {
	background: #ffffff;
	margin: 20rpx 0 70rpx 0;
	.item {
		display: flex;
		align-items: center;
		text {
			margin: 0 40rpx 0 25rpx;
			width: 150rpx;
			font-size: 30rpx;
			font-family: PingFang SC;
			font-weight: 400;
			color: #333333;
			line-height: 100rpx;
		}
		input {
			width: 500rpx;
			height: 100rpx;
			display: inline-block;
			font-size: 28rpx;
			font-family: PingFang SC;
			font-weight: 400;
			color: #999999;
			line-height: 100rpx;
		}
	}
}
.button {
	text-align: center;
	width: 560rpx;
	height: 80rpx;
	background: #fd3b39;
	border-radius: 40rpx;
	font-size: 30rpx;
	font-family: PingFangSC;
	font-weight: 500;
	color: #ffffff;
	line-height: 80rpx;
	margin: 0 auto;
}
</style>
